Bug Hunting Session
Bug 47351 - Improper kerning of subscripts for italic characters
Summary: Improper kerning of subscripts for italic characters
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 91021 (view as bug list)
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2012-03-15 05:26 UTC by bellgardt
Modified: 2019-10-22 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document demonstrating the inappropriate kerning (22.00 KB, application/vnd.oasis.opendocument.text)
2012-03-15 05:26 UTC, bellgardt
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bellgardt 2012-03-15 05:26:54 UTC
Created attachment 58504 [details]
Document demonstrating the inappropriate kerning

When subscripts or superscripts are applied to italic text the optical impression is different for both types. The spacing behind a normal letter and a following subscript is much bigger compared to a superscript. The attached document demonstrates this effect and shows how it should look, e.g. in MS Word.

This problem existed already in OOo and is still present in LO 3.5.1.2
Comment 1 sasha.libreoffice 2012-06-08 00:53:17 UTC
Thanks for bugreport
reproduced in 3.3.4 and 3.5.4 on Fedora 64 bit using attachment
reproduced in 3.5.4 on Windows XP with TimesNewRoman, typed manually
Problem presents also in Calc and Impress

Retaining version to [unspecified], because bug inherited from OOo

PS: I do not know, which version is more correct, Word or Writer. But more short distance (Word) looks more beautiful. 
Another potential problem: incorrect opening documents from msOffce, because text will not fit in specified area on page due to bigger distance between characters.
Comment 2 QA Administrators 2015-01-05 17:52:11 UTC Comment hidden (obsolete)
Comment 3 bellgardt 2015-01-06 14:18:49 UTC
The bug still exists in LO 3.6.7.2 (Build ID: e183d5b). Tested with 32-bit version on Windows 7 64 bit.
Comment 4 bellgardt 2015-01-06 14:21:27 UTC
Bug also present in LO 4.3.5.2, Build-ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5
on same system as before.
Comment 5 Buovjaga 2015-05-05 14:14:42 UTC
*** Bug 91021 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2016-09-20 09:37:18 UTC Comment hidden (obsolete)
Comment 7 bellgardt 2016-10-04 14:22:32 UTC
Bug still exists in Version: 5.2.2.2
Build-ID: 8f96e87c890bf8fa77463cd4b640a2312823f3ad
Comment 8 bellgardt 2017-11-10 13:23:20 UTC
Bug still exists in version: 5.4.3.2
Build-ID: 92a7159f7e4af62137622921e809f8546db437e5
CPU-Threads: 4; System: Windows 6.1; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 9 QA Administrators 2019-10-22 02:32:00 UTC
Dear bellgardt,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug